Page MenuHome

Activating Collection does not show objects within
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Quadro M620/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.67

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e

Short description of error
When you deactivate a collection, and activate it again, the objects that are in that collection are not shown. For some reason this only happens in the appended file

, I tested it in a new file and it does not happen.
I also tested in the latest experimental build with this same file and the issue is still there.

Exact steps for others to reproduce the error
-Open the attached file. Right now you will notice that the content of "Collection.001" is not visible, and it should be.
-Deactivate the "Collection" (Second collection). It should disappear.
-Activate it again. It should reappear, but it doesn't.

Please let me know if I am doing something wrong.
Thank you for the effort!

Event Timeline

Hum! Can confirm, problem is exists there...
Trying to re-produce & find causes.
Thanks

Abid Maqbool (cto.abid) lowered the priority of this task from 90 to 30.Aug 30 2019, 4:00 PM

Looks like whole file is out-of-order!
@Facundo (Facu_FX) Can you please! Provide some more info?

  • File is totally made in Blender 2.80 stable, or you open some previous file and just start working (fully/partially)?
  • From where you appended the file? Can you provide that's file too?
  • Can you reproduce the bug/error again? What are exact steps?

Thanks for your time! Have a nice day!

I answer each point in the same order:

  • This file was created from scratch in Blender 2.80 stable few days ago (the same version as it was last saved, and in which the bug was reported). I was doing some modeling, and when I noticed this I simplified the file and reported this bug.
  • It was not appended from any file. There is no other file.
  • Yes, to reproduce it you just have to open the attached file in Blender 2.80 or the latest experimental version, and then deactivate the collection named "Collection" and activate it again, and you will see that the cube does not appear again. When I say "deactivate" and "activate" the collection, I mean to switch on and of the little checkbox at the left of the name of the collection (just to be sure we are on the same page).

Any other information you need from me, just let me know.

Thank you!

Bastien Montagne (mont29) raised the priority of this task from 30 to 80.Sep 9 2019, 9:14 PM

Not sure what's hapenning here, this seems to be related to workspaces (switching to Editing one e.g. shows all objects again). @Brecht Van Lommel (brecht), @Dalai Felinto (dfelinto), maybe you understand what we are missing here?

Bastien Montagne (mont29) lowered the priority of this task from 80 to 50.

Oh, you are in fact in local view (toggled with numpad /) on the Cube object… So when you disable its collection, local view gets empty, and is not 'restored' when you enable cube's collection again later.

@Brecht Van Lommel (brecht) iirc you worked on local view feature in 2.80, will let you decide whether that is expected behavior or a bug… Think maybe when local view becomes empty, we could automatically switch it off?

Dalai Felinto (dfelinto) changed the task status from Unknown Status to Resolved.Oct 10 2019, 11:23 PM
Dalai Felinto (dfelinto) claimed this task.

So many things can make a local view to go empty (deleting objects, deleting collections, hiding collections globally, hiding collections locally, changing viewport ob type visibility, ...).

That said things in the latest builds (thus in 2.81) things are working as expected. Every time you re-enable a collection its objects are shown in all local views. I fixed that when I implemented the local collections visibility.

Closing this now, thanks for the report.